<?php

namespace App\Modules\LeadBookingTourPassenger\Application\Create;

use App\Modules\Shared\Domain\Bus\Query\Query;

final class LeadBookingTourPassengerInserterQuery implements Query
{
    public function __construct(
        private int $status,
        private int $idLeadBookingTour,
        private int $idLeadPassenger
    ) {
    }

    public function getStatus(): int
    {
        return $this->status;
    }
    public function getIdLeadBookingTour(): int
    {
        return $this->idLeadBookingTour;
    }
    public function getIdLeadPassenger(): int
    {
        return $this->idLeadPassenger;
    }
}
